Package io.flutter.embedding.engine.dart

# Class DartExecutor.DartEntrypoint

java.lang.Object
io.flutter.embedding.engine.dart.DartExecutor.DartEntrypoint

Enclosing class:
  `DartExecutor`

public static class DartExecutor.DartEntrypoint extends Object
Configuration options that specify which Dart entrypoint function is executed and where to find that entrypoint and other assets required for Dart execution.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `dartEntrypointFunctionName`
  The name of a Dart function to execute.
  `final String`
  `dartEntrypointLibrary`
  The library or file location that contains the Dart entrypoint function.
  `final String`
  `pathToBundle`
  The path within the AssetManager where the app will look for assets.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DartEntrypoint(String pathToBundle, String dartEntrypointFunctionName)`
  `DartEntrypoint(String pathToBundle, String dartEntrypointLibrary, String dartEntrypointFunctionName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DartExecutor.DartEntrypoint`
  `createDefault()`
  Create a DartEntrypoint pointing to the default Flutter assets location with a default Dart entrypoint.
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### pathToBundle

    @NonNull public final String pathToBundle
    The path within the AssetManager where the app will look for assets.

  - ### dartEntrypointLibrary

    @Nullable public final String dartEntrypointLibrary
    The library or file location that contains the Dart entrypoint function.

  - ### dartEntrypointFunctionName

    @NonNull public final String dartEntrypointFunctionName
    The name of a Dart function to execute.

- ## Constructor Details

  - ### DartEntrypoint

    public DartEntrypoint(@NonNull String pathToBundle, @NonNull String dartEntrypointFunctionName)

  - ### DartEntrypoint

    public DartEntrypoint(@NonNull String pathToBundle, @NonNull String dartEntrypointLibrary, @NonNull String dartEntrypointFunctionName)

- ## Method Details

  - ### createDefault

    @NonNull public static DartExecutor.DartEntrypoint createDefault()
    Create a DartEntrypoint pointing to the default Flutter assets location with a default Dart entrypoint.

  - ### toString

    @NonNull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`